GET api/CosFinance/SearchFinanceBatchReport?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfFinanceBatchReportDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of FinanceBatchReportDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "FirstName": "sample string 2",
      "LastName": "sample string 3",
      "NumberofRecord": 4,
      "Key": "sample string 5",
      "BatchDate": "2026-06-20T12:51:38.3399719-07:00",
      "Status": 1,
      "TotalCount": 6
    },
    {
      "Id": 1,
      "FirstName": "sample string 2",
      "LastName": "sample string 3",
      "NumberofRecord": 4,
      "Key": "sample string 5",
      "BatchDate": "2026-06-20T12:51:38.3399719-07:00",
      "Status": 1,
      "TotalCount": 6
    }
  ],
  "totalCount": 3
}